package com.qmth.themis.business.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.bean.exam.ExamPrepareBean;
import com.qmth.themis.business.bean.exam.ExamStartBean;
import com.qmth.themis.business.entity.TEExam;

/**
 * @Description: 考试批次 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TEExamService extends IService<TEExam> {

    /**
     * 查询考试批次
     *
     * @param iPage
     * @param id
     * @param code
     * @param name
     * @param mode
     * @param enable
     * @return
     */
    public IPage<TEExam> examQuery(IPage<Map> iPage, Long id, String code, String name, Integer mode, Integer enable);

    /**
     * 获取考试待考列表
     *
     * @param studentId
	 * @param examId
	 * @param orgId
     * @return
     */
    public List<Map> getWaitingExam(Long studentId, Long examId, Long orgId);

	/** 开始候考
	 * @param studentId
	 * @param activityId
	 * @return
	 */
	public ExamPrepareBean prepare(Long studentId, Long examStudentId);
	
	/**开始考试
	 * @param id
	 * @param recordId
	 * @return
	 */
	public ExamStartBean start(Long studentId, Long recordId);

	/**上传个人试卷结构
	 * @param studentId
	 * @param recordId
	 * @param content
	 * @return
	 */
	public Long studentPaperStruct(Long studentId, Long recordId,String content);
}
